Bug 436929 - Fedora-9-Alpha-x86_64-DVD Anaconda kernel hangs whereas F8 does not
Fedora-9-Alpha-x86_64-DVD Anaconda kernel hangs whereas F8 does not
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 04:22 EDT by Greg Morgan
Modified: 2009-07-14 11:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:42:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Morgan 2008-03-11 04:22:26 EDT
Description of problem:  
Background: I just bought a new motherboard, processor, and memory.  f8 _NON_x86
-64 had no problems installing on the system.  However, since memory is so
cheap, I as able to buy 8gig of RAM.  Hence, the f8 _NON_x86-64 kernel gave me
the "Warning only 4GB will be used." message.

When the problem occurred:
Since f8 NON_x86-64 worked so good, I decided to try f9,
Fedora-9-Alpha-x86_64-DVD. The X86_64 would allow me to use all 8GB of the memory.

The last kernel messages on the screen were
...
ACPI: has type pci registered
PCI Using MMCONFIG at f0000000 - f7fffffff
ACPI: Interpreter enabled
ACPI:(supports S0 S1 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PC10] (0000:00)

The Fedora-9-Alpha-x86_64-DVD appears to be a step backward compared to the ease
of booting on f8.

Version-Release number of selected component (if applicable):
Fedora-9-Alpha-x86_64-DVD
Anaconda 11.4.0.28
kernel 2.26.24-2.fc9

How reproducible:
Always

Steps to Reproduce:
1.Boot with the Fedora-9-Alpha-x86_64-DVD on the hardware listed below.
2.
3.
  
Actual results:
Kernel hangs after the APC section of kernel.

Expected results:
Boot just like f8 on the same hardware.

Additional info:
Workaround is as follows:
1.) Hit escape key when you see the grub splash screen.
2.) At the linux boot: prompt type in
linux apm=off acpi=off noapic 

References:
http://forums.fedoraforum.org/archive/index.php/t-16283.html
https://bugzilla.redhat.com/show_bug.cgi?id=109641
http://www.fedorafaq.org/fc1/#AlanCox

Hardware:
Intel DQ35JOE motherboard using on-board video, sound, and network.
Both a sata DVD and a sata hard drive are used.
Memory is 8 gigs of matched PC6400
CPU is an E8650 core 2 duo
All hardware is not over clocked nor intended too to do so.
Comment 1 Greg Morgan 2008-03-11 06:20:16 EDT
After installing the system, you also need to add the apm=off... to
/etc/grub.conf as shown below.  

It is not known at this time if all three options are required.

This report is coming from the hardware above.

title Fedora (2.6.24-2.fc9)
	root (hd0,0)
	kernel /vmlinuz-2.6.24-2.fc9 ro root=/dev/VolGroup00/LogVol00 rhgb quiet
apm=off acpi=off noapic
	initrd /initrd-2.6.24-2.fc9.img
Comment 2 Greg Morgan 2008-03-12 02:49:59 EDT
I should not that in comment #1, the kernel line is all one line and not two lines.

Is this part of the problem?  The kernel reports this when first booting
Mar 11 14:51:52 rocky kernel: Intel MultiProcessor Specification v1.4
Mar 11 14:51:52 rocky kernel: MPTABLE: OEM ID:  MPTABLE: Product ID:  MPTABLE:
APIC at: 0xFEE00000
Mar 11 14:51:52 rocky kernel: Processor #0 (Bootup-CPU)
Mar 11 14:51:52 rocky kernel: Setting APIC routing to flat
Mar 11 14:51:52 rocky kernel: BIOS bug, no explicit IRQ entries, using default
mptable. (tell your hw vendor)
Comment 3 Bug Zapper 2008-05-14 01:56:23 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:43:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 11:42:43 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.